1 příspěvek / 0 new
Poslední
Neznámý
Obrázek uživatele Neznámý
2 a více verzí JDK+JRE společně

Dobrý den,

  • mám verzi SUSE 9.3 Professional a chtěl bych provozovat více verzí JDK a testovat JRE (kvůli dalším počítačům v našem INTRANETU, které mají verze JRE 1.3, 1.4, 1.5 kůli již běžícím aplikacím).

  • Instalace verzí JDK a JRE z .rpm balíků proběhlo bez problémů, v /etc/java jsem si připravil pro každou verzi vlastní .cfg (j15.cfg, j14.cfg, j13.cfg) a chtěl jsem spustit script "setDefaultJava", který fungoval ve verzi SUSE 9.1 moc dobře.

  • Nnyní my ohlásil, že už je nefukční a místo něho mám doinstalovat a použít "jpackages-utils" - doinstaloval jsem jej z DVD, ale nemohu najít žádný spustitelný soubor, nebo něco, co mi umožní přepínat mezi JAVAmi.

  • Ví prosím někdo jak dál ?

    Obrázek uživatele Kamil Sasýn
    Offline
    Naposledy viděn: 10 let 11 měsíců zpět
    Připojen: 08.06.2006 - 15:47
    Různé verze Javy

    Díky za info, prosil bych ještě o upřesnění posledního odstavce...

    Pripadne si muzete upravit priority ve /var/lib/rpm/alternatives a pouzit volbu --auto misto --config. Zvolenou verzi javy si muzete zkontrolovat volbou --display pro uvedene skupiny, pripadne podle toho, kam ukazuji symlinky v /etc/alternatives

    Zda to nemůže někdo trochu více rozepsat (např. jak se mění priorita, a jak na tu volbu --auto místo --config).

    Díky

    PC: AMD Athlon 64 X2, RAM 2 GB, MSI K9A2 CF (AMD 790X), nVidia GF6600
    NB: FSC Esprimo U9200
    Print: Canon IP4200
    OS: OpenSUSE 11.2 (64b) & KDE 4.3
    IM: Sasyn.Kamil@jabber.cz
    Images: http://profile.imageshack.us/user/kamilsasyn/